#!/bin/sh

lsmod | grep raidn && {
 raidn shutdown && rmmod raidcore raidn || exit 1
}

lsmod | grep dm-mod || { 
 insmod dm-mod && vgscan && vgchange -ay || exit 2
}

for N in 1 2 3;do
 lvs H99/s$N && lvremove -f /dev/H99/s$N
done

mount | grep /mnt/H99 || {
 mount /dev/H99/v /mnt/H99 || exit 4
}

./look.sh
exit 0
#==eof===
